package com.hc.request.core;

import android.support.annotation.NonNull;

import com.orhanobut.logger.Logger;

import java.util.List;

public class DefaultCallback<T> implements IHttpCallback<T> {

    @Override
    public void onStart(int what) {

    }

    @Override
    public void onSuccess(int what, @NonNull T data) {
        Logger.d(data);
    }


    @Override
    public void onFail(int what, String msg) {
        Logger.e(msg);
    }

    @Override
    public void onError(int what, Throwable e) {
        Logger.e(e.getMessage());
    }

    @Override
    public void onFinish(int what) {

    }
}
